<template>
    <div class="express-box">
        <div class="express-box1" v-if="ismodal">
            <div class="options-box">
                <div class="left">处方编号：</div>
                <div class="left"> {{ userinfo && userinfo.order_sn }}</div>
            </div>
            <div class="options-box">
                <div class="left">快递类型：</div>
                <div class="left"> {{ userinfo && userinfo.express_name.name }}</div>
            </div>
            <div class="options-box">
                <div class="left">物流单号：</div>
                <div class="left"> {{ expressobj && expressobj.express.result.number }}</div>
            </div>
            <div class="options-box">
                <div class="left">收货人：</div>
                <div class="left"> {{ userinfo && userinfo.consignee }}</div>
            </div>
            <div class="options-box">
                <div class="left">手机号：</div>
                <div class="left"> {{ userinfo && userinfo.con_mobile }}</div>
            </div>
            <div class="options-box" style="width:100%;">
                <div class="left">收货地址：</div>
                <div class="left"> {{ userinfo && userinfo.address }}</div>
            </div>
        </div>
        <div class="express-list">
            <el-timeline style="padding:0">
                <el-timeline-item
                    v-for="(activity, index) in express_list(expressobj)"
                    :key="index"
                    :type="activity.type"
                    :size="activity.size"
                    :timestamp="activity.time">
                    {{ activity.status }}
                </el-timeline-item>
            </el-timeline>
        </div>
    </div>
</template>
<script>
module.exports = {
    props:{
        expressobj:{
            type:Object,
            default:null
        },
        ismodal:{
            type:Boolean,
            defaule:false
        },
        userinfo:{
            type:Object,
            default:null
        }
    },
    data(){
        return{

        }
    },
    computed:{
        express_list() {
            return function(val) {
                if(val.express.result.list.length>0){
                    val.express.result.list.forEach((v, i) => {
                        v.type = ''
                        v.size = 'normal'
                        if (i == 0) {
                            v.type = 'primary'
                            v.size = 'large'
                        }
                    })
                    return val.express.result.list
                }else{
                    return [{
                        status:'暂无物流信息~',
                        type:'',
                        size:'normal'
                    }]
                }
            }
        },
    },
    created(){
        console.log(this.expressobj)
    }
}
</script>
<style lang="css" scoped>
    .express-box{
        width: 100%;
        overflow-x: hidden;
    }
    .express-box1{
        width: 100%;
        height: auto;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        align-content: flex-start;
        flex-wrap: wrap;
        margin-bottom: 10px;
    }
    .options-box {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        width: 33%;
    }
    .left {
        float: left;
        height: 36px;
        line-height: 36px;
        color: #606266;
        font-size: 14px;
    }
    .options-box::after{
        content: '';
        display: block;
        clear: both;
    }
    .express-list{
        width: 102%;
        max-height:400px;
        height:auto;
        overflow:auto;
        padding:5px 20px 0 5px;
        box-sizing: border-box;
    }
</style>